import socket

client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
client.connect(('vyatsu.ru', 80))

request = (
    "GET / HTTP/1.1\r\n"
    "Host: vyatsu.ru\r\n"
    "User-Agent: python-requests/2.31.0\r\n"
    "Accept-Encoding: gzip, deflate\r\n"
    "Accept: /\r\n"
    "Connection: close\r\n"
    "\r\n"
)

client.sendall(request.encode())

response = b""
while True:
    part = client.recv(4096)
    if not part:
        break
    response += part

print(response.decode(errors='ignore'))  # 'ignore' — на случай gzip/некорректных символов

client.close()