import socket

def uppercase_vowels(text):
    vowels = 'aeiouаеёиоуыэюя'
    result = ''
    for char in text:
        if char.lower() in vowels:
            result += char.upper()
        else:
            result += char
    return result

server = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
server.bind(("0.0.0.0", 11001))
print("UDP сервер запущен на порту 11001")

while True:
    data, addr = server.recvfrom(1024)
    text = data.decode()
    print(f"Получено от {addr}: {text}")

    transformed = uppercase_vowels(text)
    print(f"Отправляем: {transformed}")

    server.sendto(transformed.encode(), addr)

    if text.upper() == 'EXIT':
        print("Сервер завершает работу.")
        break

server.close()
