import socket

def uppercase_vowels(text):
    vowels = 'aeiouаеёиоуыэюя'
    result = ''
    for char in text:
        if char.lower() in vowels:
            result += char.upper()
        else:
            result += char
    return result

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.bind(("0.0.0.0", 11000))
server.listen(1)
print("TCP сервер запущен на порту 11000")

while True:
    conn, addr = server.accept()
    print(f"Подключение от {addr}")

    data = conn.recv(1024)
    if not data:
        break

    text = data.decode()
    transformed = uppercase_vowels(text)
    print(f"Получено: {text} | Отправляем: {transformed}")
    conn.sendall(transformed.encode())

    conn.close()

    if text.upper() == 'EXIT':
        print("Сервер завершает работу.")
        break